Create User

Register a new user at https://staging.cypherface.com/register by providing details like name, email, password, and phone. Successful registration returns a 201 status, while 400 indicates an invalid email or phone and 500 indicates a server error.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Curl Request

curl --location 'https://staging.cypherface.com/register' \
--header 'x-api-key: cbfe0baf-db65-4463-baec-a98633a13ef7' \
--header 'Content-Type: application/json' \
--header 'Cookie: connect.sid=s%3AyoqwqQtJPuetxSVZLt9_3cikxJ6eSZO-.RDMRaaGKPjP%2F7f6E1pJeiOCPXiu61fEP8J8PwHvgW%2BY' \
--data-raw '{
  "firstname": "demo",

 "email": "[email protected]",
  "password": "Demo@1234",
  "lastname": "test",
  "phone": "1234567890",
  "platform":"APP"
}'

A user can register using either an email address or a phone number. At least one of these fields is required during registration. Both fields must be unique when provided.

Body Params
string
required

First name of the customer.

string

Last name of the customer.

string
required

passwod of the customer.

string
required

Last name of the customer.

string

Customer phone numbers.

string
required

location of the customer.

string
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json